# darktable lua documentation - darktable.register_event

Home / Lua API Manual / darktable / darktable.register_event
< darktable.print_error
darktable.register_storage >

# darktable.register_event

    function(
      event_type : string,
      callback : function,
      ... : variable
    )

This function registers a callback to be called when a given event happens. Events are documented in the event section.

- event_type - string - The name of the event to register to.
- callback - function - The function to call on event. The signature of the function depends on the type of event.
- … - variable - Some events need extra parameters at registration time; these must be specified here.

< darktable.print_error
darktable.register_storage >